# Uses of Interface
com.sun.source.tree.StringTemplateTree

Packages that use StringTemplateTreePREVIEW
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of StringTemplateTreePREVIEW in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type StringTemplateTreePREVIEW
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitStringTemplate(StringTemplateTreePREVIEW node, P p)`
Preview.
Visits a StringTemplateTree node.

## Uses of StringTemplateTreePREVIEW in com.sun.source.util

Methods in com.sun.source.util with parameters of type StringTemplateTreePREVIEW
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitStringTemplate(StringTemplateTreePREVIEW node, P p)`
Preview.
Visits a StringTemplateTree node.
`R`
TreeScanner.`visitStringTemplate(StringTemplateTreePREVIEW node, P p)`
Preview.
Visits a StringTemplateTree node.